Page MenuHomePhabricator

Document how fallback language and message loading order in general works
Open, LowPublic

Description

I mean, seriously.
I know that it's a well kept secret to prevent people from relying on whatever the current system is, which would stabilize it and make it impossible to change, but at least write it in a private place so that people can get a copy by bribing the l10n team or something.
It's currently impossible even to sort out bugs about this.


Version: unspecified
Severity: enhancement
URL: https://meta.wikimedia.org/wiki/Help:System_message#Branching_based_on_the_user_language
See Also:
T3495: Improve message source fallback flow

Details

Reference
bz38662

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:00 AM
bzimport set Reference to bz38662.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Jul 25 2012, 8:06 AM

OK, I did a bit of organization with our message documentation on mw.org. If I have time in the near future, I'll add a section to [[mw:Manual:System message]] concerning the message caching flow.

:/ well I had everything written up, but then bug 52169 screwed me over, but I'll try and do this tomorrow or something, so I'll assign it to myself.

OK, check out [[mw:Manual:System message#Message caching]].

(In reply to comment #2)

:/ well I had everything written up, but then bug 52169 screwed me over, but
I'll try and do this tomorrow or something, so I'll assign it to myself.

I usually tend to throw my PC out of the window when this happens, congrats for patience.

(In reply to comment #3)

OK, check out [[mw:Manual:System message#Message caching]].

Thank you for this. However, it's heavily focused on technical details for developers; as such I've merged it to the existing section of [[mw:Localisation]] (section which should perhaps be made more prominent now in some way?).

What I'm looking for is mainly a help document describing what's the expected behaviour of system messages and how users can (or should) use them. An existing help document, for instance, is [[m:Help:System_message#Branching_based_on_the_user_language]], which could be considered an evil encouragement of ugly hacks, given its unconditional suggestion to edit and transclude subpages.

Ah OK. Well in that case I think we should defer this bug until the final language fallback patch is merged, since that will change significantly how messages work.

Tyler: You set this to ASSIGNED status without setting an assignee. Do you plan to work on this? If so feel free to set yourself as assignee.

I did originally, and did some work above, but now I'm tempted to wait until the final fallback patch is merged, so I'll set this back to NEW.

Liuxinyu970226 added a subscriber: Liuxinyu970226.
Amire80 moved this task from Untriaged to Fallback on the I18n board.Mar 18 2018, 2:08 PM